## specoms-0.0.25.orig.tar.gz

=== src/CMakeLists.txt ===
# CMake script for peptider
# Author: Olivier Langella
# Created: 28/05/2016

    
# tests : ./src/specoms -f /gorgone/pappso/moulon/database/Genome_Z_mays_5a.fasta -m /gorgone/pappso/data_extraction_pappso/mzXML/20120906_balliau_extract_1_A01_urnb-1.mzXML
#./src/specoms -f /espace/Genome_Z_mays_5a.fasta -m /espace/bio/mzxml/20120906_balliau_extract_1_A01_urnb-1.mzXML
# ./src/specoms -f /gorgone/pappso/moulon/archive_database/Genome_Z_mays_5a.fasta -m /gorgone/pappso/data_extraction_pappso/mzXML/20120906_balliau_extract_1_A01_urnb-1.mzxml -o /gorgone/pappso/versions_logiciels_pappso/specoms/20181127/test_morpheus.ods

configure_file (${CMAKE_SOURCE_DIR}/src/config.h.cmake ${CMAKE_SOURCE_DIR}/src/config.h)

# File list
set(CPP_FILES
    algorithms/fptree/fptree.cpp
    algorithms/fptree/threadedfptree.cpp
    algorithms/fptree/spectreeextractorreporterinterface.cpp
    core/digestion/peptidemodificationpipeline.cpp
    core/digestion/protopeptidedigestion.cpp
    core/peptide_database/peptidedatabase.cpp
    core/spectrum_matcher_legacy/missedcleavagefinder.cpp
    core/spectrum_matcher_legacy/peptidecandidate.cpp
    core/spectrum_matcher_legacy/peptidespectrumshifter.cpp
    core/spectrum_matcher_legacy/spectrummatcher.cpp
    core/spectrum_matcher_legacy/specxtractmatcherlegacy.cpp
    core/digestionpipeline.cpp
    core/fastafile.cpp
    core/fastasourcelist.cpp
    core/msspectrumreader.cpp
    core/runningdeepprot.cpp
    core/spectrumint.cpp
    core/spectrumintstore.cpp
    output/mzidentml.cpp
    output/mzidentmlallcandidates.cpp
    output/odsoutput.cpp
    output/odsspecsimilarities.cpp
    output/outputinterface.cpp
    output/psmcboroutput.cpp
    utils/decisionbox.cpp
    utils/deepprotparams.cpp
    utils/monitorcli.cpp
    utils/monitorinterface.cpp
    utils/utils.cpp
)


set(DEEPPROT_CLI_SRCS
    deepprot.cpp
    ${CPP_FILES}
)
add_executable(specoms ${DEEPPROT_CLI_SRCS}  )

target_link_libraries(specoms
    Qt6::Core
    Qt6::Qml
    Qt6::Gui
    OdsStream::Core
    QuaZip::QuaZip
    Qt6::Sql
    Qt6::Svg
    Qt6::Concurrent
    Qt6::PrintSupport
    OdsStream::Core
    SQLite3::SQLite3
    Zstd::Zstd
  ZLIB::ZLIB
    PappsoMSpp::Core
)

####################################
# GUI
#########################################
set(DEEPPROT_GUI_SRCS
	gui/deepprot-gui.cpp
	gui/main.cpp
	gui/workerthread.cpp
	gui/monitorgui.cpp
	gui/waiting_message_dialog/waitingmessagedialog.cpp
)

set (GUI_UIS
	gui/deepprot_main.ui
	gui/waiting_message_dialog/waiting_message_dialog.ui
)


# this will run uic on .ui files:
qt6_wrap_ui( GUI_UI_HDRS ${GUI_UIS} )
qt6_add_resources(specoms_RCC_SRCS deepprot.qrc)
add_executable(specoms-gui ${DEEPPROT_GUI_SRCS} ${GUI_UI_HDRS} ${specoms_RCC_SRCS} 
    ${CPP_FILES})
    
target_link_libraries(specoms-gui
    PappsoMSpp::Core
    Qt6::Core 
    Qt6::Qml
    Qt6::Gui
    Qt6::Widgets
    QuaZip::QuaZip
    Qt6::Sql
    Qt6::Concurrent
    OdsStream::Core
    SQLite3::SQLite3
    Zstd::Zstd
  ZLIB::ZLIB
)


if (MXE)
    target_compile_options(
        specoms-gui PRIVATE -mwindows
    )
    set_target_properties(specoms-gui PROPERTIES LINK_FLAGS "-Wl,--subsystem,windows ${CMAKE_EXE_LINKER_FLAGS}")
endif (MXE)

install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/specoms-gui DESTINATION bin)

configure_file (${CMAKE_SOURCE_DIR}/templates/share/applications/specoms.desktop.cmake ${CMAKE_BINARY_DIR}/templates/share/applications/specoms.desktop)


# INSTALL(FILES ${CMAKE_SOURCE_DIR}/doc/images/pappsoms-tools.svg DESTINATION share/pappsoms-tools)

install(FILES ${CMAKE_BINARY_DIR}/templates/share/applications/specoms.desktop DESTINATION share/applications)

=== tests/CMakeLists.txt ===
# CMake script for PAPPSOms++ library
# Author: Olivier Langella
# Created: 03/03/2015 from the CMakeLists file of the Bio++ project



find_package(Catch2 REQUIRED)

#apt-get install libpwiz-dev libboost-dev
#CTEST_OUTPUT_ON_FAILURE=TRUE make test
#make test ARGS="-V"
#make test ARGS="-V -I 4,4"

#export LD_LIBRARY_PATH=/home/langella/developpement/git/pappsomspp/build/src:$LD_LIBRARY_PATH

# msconvert /gorgone/pappso/versions_logiciels_pappso/deepprot/donnees/PXD004732/01650b_BG3-TUM_first_pool_65_01_01-DDA-1h-R2.mzXML --mgf --filter "scanNumber 59739"

# msconvert /gorgone/pappso/versions_logiciels_pappso/deepprot/donnees/PXD004732/01650b_BG3-TUM_first_pool_65_01_01-DDA-1h-R2.mzXML --mgf --filter "scanNumber 59737"

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt6Xml_EXECUTABLE_COMPILE_FLAGS}")


configure_file (config.h.cmake ${CMAKE_SOURCE_DIR}/tests/config.h)


  # These source files are compiled into a single Catch2-based test binary.
  set(specoms_cpp_SRCS
    ../src/algorithms/fptree/fptree.cpp
    ../src/algorithms/fptree/spectreeextractorreporterinterface.cpp
    ../src/algorithms/fptree/threadedfptree.cpp
    ../src/core/digestion/peptidemodificationpipeline.cpp
    ../src/core/digestion/protopeptidedigestion.cpp
    ../src/core/peptide_database/peptidedatabase.cpp
    ../src/core/spectrum_matcher_legacy/missedcleavagefinder.cpp
    ../src/core/spectrum_matcher_legacy/peptidecandidate.cpp
    ../src/core/spectrum_matcher_legacy/peptidespectrumshifter.cpp
    ../src/core/spectrum_matcher_legacy/spectrummatcher.cpp
    ../src/core/spectrum_matcher_legacy/specxtractmatcherlegacy.cpp
    ../src/core/digestionpipeline.cpp
    ../src/core/fastafile.cpp
    ../src/core/fastasourcelist.cpp
    ../src/core/msspectrumreader.cpp
    ../src/core/runningdeepprot.cpp
    ../src/core/spectrumint.cpp
    ../src/core/spectrumintstore.cpp
    ../src/output/mzidentml.cpp
    ../src/output/mzidentmlallcandidates.cpp
    ../src/output/odsoutput.cpp
    ../src/output/odsspecsimilarities.cpp
    ../src/output/outputinterface.cpp
    ../src/output/psmcboroutput.cpp
    ../src/utils/decisionbox.cpp
    ../src/utils/deepprotparams.cpp
    ../src/utils/monitorcli.cpp
    ../src/utils/monitorinterface.cpp
    ../src/utils/utils.cpp
  )
  # These source files are compiled into a single Catch2-based test binary.
  set(catch2_only_cpp_SRCS
    test_spectree.cpp
    test_spectrumfilter.cpp
    test_spectrumint.cpp
    test_spectrumshifter.cpp    
  )
  
  set(catch2_benchmarks_only_cpp_SRCS
    test_benchmark.cpp    
  )

  add_executable(catch2-only-tests
    ${catch2_only_cpp_SRCS}
    ${specoms_cpp_SRCS}
  )

  add_executable(catch2-only-benchmarks
    ${catch2_benchmarks_only_cpp_SRCS}
    ${specoms_cpp_SRCS}
  )

  add_custom_target(catch2 catch2-only-tests 
                  DEPENDS catch2-only-tests 
                  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
                  COMMENT "Running the Catch2-based tests.")

  set_property(TARGET catch2 PROPERTY CXX_STANDARD 17) # we want C++17
  set_property(TARGET catch2-only-benchmarks PROPERTY CXX_STANDARD 17) # we want C++17

  
  set(required_target_link_libraries
    QuaZip::QuaZip
    OdsStream::Core
    PappsoMSpp::Core
    Qt6::Qml
    Qt6::Sql
    Qt6::Concurrent
    Catch2::Catch2WithMain
    SQLite3::SQLite3
  )
  
  target_link_libraries(catch2-only-tests
    ${required_target_link_libraries})
  target_link_libraries(catch2-only-benchmarks
    ${required_target_link_libraries})

  # Add the Catch2-based single binary test file to the CMake's test suite so
  # that it gets called using 'make test'. To see the output, add "ARGS=-V" to
  # the call.
  add_test(catch2-only-tests "catch2-only-tests")

=== debian/changelog ===
specoms (0.0.25-1~bookworm+1) trixie; urgency=medium

  * New psmcbor output file
  * Includes specglobx treatment to replace specfit

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 05 Dec 2025 15:30:13 +0100

specoms (0.0.24-1~bookworm+1) bookworm; urgency=medium

  * Refactoring to keep peptide object

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 16 Jul 2024 13:30:13 +0200

specoms (0.0.23-1~bookworm+1) bookworm; urgency=medium

  * Bump version for Ubuntu launchpad

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 04 Jun 2024 11:22:30 +0200

specoms (0.0.22-1~bookworm+1) bookworm; urgency=medium

  * Fix multithread bug occuring on very small fasta database
  * Renaming DeepProt occurences to SpecOMS
  * Better GUI. New button to generate default parameter filter
  * SpecOMS search parameters written in the mzIdentML output file

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 03 Jun 2024 09:01:30 +0200

specoms (0.0.21-1~bookworm+1) bookworm; urgency=medium

  * Latest proteowizard library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 30 May 2024 13:27:14 +0200

specoms (0.0.20-1~bookworm+1) bookworm; urgency=medium

  * Better mzIdentML writer using PAPPSOms++ API

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 01 Mar 2024 11:48:48 +0100

specoms (0.0.19-1~bookworm+1) bookworm; urgency=medium

  * upgrade mzIdentML export to 1.2

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 30 Jan 2024 14:54:03 +0100

specoms (0.0.18-1~bookworm+1) bookworm; urgency=medium

  * spectree algorithm is now included in PAPPSOms++
  * renaming to specoms

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 22 Dec 2023 15:33:48 +0100

deepprot (0.0.17-1~bookworm+1) bookworm; urgency=medium

  * tests using catch2 framework
  * fix for MXE compilation
  * GUI output all results radio button

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 20 Sep 2023 11:15:16 +0200

deepprot (0.0.16-1~bookworm+1) bookworm; urgency=medium

  * first bookworm version Qt6
  * new CLI parameter to export all PSMs

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 19 Jul 2023 16:28:29 +0200

deepprot (0.0.15-1~bullseye+1) bullseye; urgency=medium

  * fix MXE compilation flag
  * new TimsTOF polynomial solver

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 06 Jan 2023 13:19:46 +0100

deepprot (0.0.14-1~bullseye+1) bullseye; urgency=medium

  * new PAPPSOms++ library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 08 Dec 2022 13:42:51 +0100

deepprot (0.0.13-1~bullseye+1) bullseye; urgency=medium

  * new version fixing timsTOF related bugs

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 30 Nov 2021 16:04:22 +0100

deepprot (0.0.12-3~bullseye+1) bullseye; urgency=medium

  * new bullseye package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sun, 28 Nov 2021 12:00:04 +0100

deepprot (0.0.12-2~buster+1) buster; urgency=medium

  * new PAPPSOms++ library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 08 Jun 2021 10:14:05 +0200

deepprot (0.0.12-1~buster+1) buster; urgency=medium

  * reverse sequence tag is the same than xtandem

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 20 May 2021 11:47:01 +0200

deepprot (0.0.11-1~buster+1) buster; urgency=medium

  * write start and stop position on protein sequence in mzIdentML
    output

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 21 Apr 2021 16:01:53 +0200

deepprot (0.0.10-1~buster+1) buster; urgency=medium

  * complete mzIdentML support

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 28 Jan 2021 13:48:45 +0100

deepprot (0.0.9-1~buster+2) buster; urgency=medium

  * filter name problem fixed

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 27 Nov 2020 11:52:59 +0100

deepprot (0.0.9-1~buster+1) buster; urgency=medium

  * new charge deconvolution filter added

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 27 Nov 2020 11:14:24 +0100

deepprot (0.0.8-2~buster+2) buster; urgency=medium

  * new libpappsoms++ library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 05 Oct 2020 15:37:55 +0200

deepprot (0.0.8-2~buster+1) buster; urgency=medium

  * horrible bug fix

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 24 Sep 2020 11:30:06 +0200

deepprot (0.0.8-1~buster+1) buster; urgency=medium

  * new release with minimal score for zero mass delta

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 22 Sep 2020 13:15:15 +0200

deepprot (0.0.7-2~buster+1) buster; urgency=medium

  * dynamic range filter return

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sun, 30 Aug 2020 08:04:44 +0200

deepprot (0.0.7-1~buster+3) buster; urgency=medium

  * binary version of libpappsomspp required

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 27 Aug 2020 14:24:05 +0200

deepprot (0.0.7-1~buster+2) buster; urgency=medium

  * fix usage of libpappsomspp package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 27 Aug 2020 11:11:00 +0200

deepprot (0.0.7-1~buster+1) buster; urgency=medium

  * new pre MS2 spectrum filters, few bug fix

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 27 Aug 2020 11:05:12 +0200

deepprot (0.0.6-3) buster; urgency=medium

  * new libpappsoms++ library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 23 Jul 2020 09:22:38 +0200

deepprot (0.0.6-2) buster; urgency=medium

  * new PAPPSOms++ library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 19 May 2020 16:48:13 +0200

deepprot (0.0.6-1) buster; urgency=medium

  * new PAPPSOms++ library
  * better GUI

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 18 May 2020 15:33:25 +0200

deepprot (0.0.5-3) buster; urgency=medium

  * new PAPPSOms++ library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 21 Apr 2020 15:51:54 +0200

deepprot (0.0.5-2) buster; urgency=medium

  * important fix in lib PAPPSOms++



=== debian/control ===
Source: specoms
Maintainer: Olivier Langella <olivier.langella@u-psud.fr>
Uploaders: Olivier Langella <olivier.langella@u-psud.fr>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
    libpappsomspp-core-dev (>= 0.11.8),
    libpappsomspp-gui-dev (>= 0.11.8),
    libodsstream-dev (>= 0.9.12),
    libboost1.88-dev,
    libboost-thread1.88-dev,
    libboost-chrono1.88-dev,
    libboost-container1.88-dev,
    libboost-random1.88-dev,
    libboost-filesystem1.88-dev,
    libboost-iostreams1.88-dev,
    libzstd-dev,
    liblzf-dev,
    libsqlite3-dev,
    qt6-svg-dev,
    qt6-svg-plugins,
    libqcustomplot-dev (>= 2.1.0),
    cmake,
    catch2
Standards-Version: 4.2.1

Package: specoms
Architecture: any
Depends: ${shlibs:Depends},
         libpappsomspp-gui0 (>= 0.9.22),
         ${misc:Depends}
Description: Open Modification Search algorithm for MS/MS peptide identification
 DeepProt is based on SpecOMS published in David et al. 2017.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release -DCMAKE_SKIP_RPATH=1
	
override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(DESTDIR)
